Can talk to RPC plugin Error


#1

Hello,

I would like a help, I have a CentOS server with cPanel and I have the Let’s Encrypt plugin installed, everything was working fine, but today I went to check it and it is showing error.

WHM access error:

Error loading config: rpc error: code = 13 desc = connection error: desc = “transport: x509: certificate has expired or is not yet valid”

running the command le-cp self-test:

SELF-TEST] Has valid license … SUCCESS.
[SELF-TEST] Can read config … SUCCESS.
[SELF-TEST] Can connect to Let’s Encrypt … SUCCESS.
[SELF-TEST] Can talk to WHM API … SUCCESS.
[SELF-TEST] Can talk to RPC plugin … 2018/06/05 15:51:07 Failed to dial sgaenet.sgaenet.com.br:5960: connection error: desc = “transport: x509: certificate has expired or is not yet valid”; please retry.
FAILED: Failed to call Ping rpc: rpc error: code = 13 desc = connection error: desc = “transport: x509: certificate has expired or is not yet valid”.
You may wish to run le-cp config rpc-force-reload and try again, which may help if your service certificate was recently changed.

The self-test failed. You should fix the above issues before continuing, or contact support @ https://cpanel.fleetssl.com/contact

Please first run the following command, which will send us your log files and configuration details:
le-cp send-logs

running the command le-cp config rpc-force-reload:

INFO [0000] Please disregard any errors relating to ‘client transport was broken’, this is normal for this operation!
2018/06/05 16:36:07 Failed to dial sgaenet.sgaenet.com.br:5960: connection error: desc = “transport: x509: certificate has expired or is not yet valid”; please retry.

letsencrypt-cpanel.log:

2018/06/05 16:36:07 grpc: Server.Serve failed to complete security handshake from “189.113.174.166:49971”: remote error: tls: bad certificate

Thank you


#2

(Responded via email).


#3

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.